import { WebGridBaseDirectiveDescription } from "./WebGridBaseDirectiveDescription";
import { WebPivotConfigurationDescription } from "./WebPivotConfigurationDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class WebPivotGridDescription extends WebGridBaseDirectiveDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private hv;
    get valueChipTemplateRef(): string;
    set valueChipTemplateRef(a: string);
    private hd;
    get pivotConfiguration(): WebPivotConfigurationDescription;
    set pivotConfiguration(a: WebPivotConfigurationDescription);
    private hg;
    get showPivotConfigurationUI(): boolean;
    set showPivotConfigurationUI(a: boolean);
    private hh;
    get superCompactMode(): boolean;
    set superCompactMode(a: boolean);
    private hl;
    get dimensionDataColumns(): any;
    set dimensionDataColumns(a: any);
    private hf;
    get defaultExpandState(): boolean;
    set defaultExpandState(a: boolean);
    private hq;
    get dataRef(): string;
    set dataRef(a: string);
    private hm;
    get filteredData(): any;
    set filteredData(a: any);
    private hu;
    get emptyPivotGridTemplateRef(): string;
    set emptyPivotGridTemplateRef(a: string);
    private hs;
    get dimensionsChangeRef(): string;
    set dimensionsChangeRef(a: string);
    private hp;
    get configurationChangeRef(): string;
    set configurationChangeRef(a: string);
    private hr;
    get dimensionInitRef(): string;
    set dimensionInitRef(a: string);
    private hw;
    get valueInitRef(): string;
    set valueInitRef(a: string);
    private ht;
    get dimensionsSortingExpressionsChangeRef(): string;
    set dimensionsSortingExpressionsChangeRef(a: string);
    private hx;
    get valuesChangeRef(): string;
    set valuesChangeRef(a: string);
}
